Get user details – Management API – MediaKind
Get user details
get https://app.mk.io/api/v1/organization/users/:user_id
This endpoint shows the details of one user.
RBAC Capability Required: core.user.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
user_idstring Required format: uuid
Response
200 OK
kind string Optional
The kind of record.metadata object [UserMetadata] Required
Metadata.- id string Required format: uuid
The unique identifier of the user.
- id string Required format: uuid
spec object [UserBriefSpec] Required
Specification.- avatar string Required <= 200 characters
Avatar. - email string Required 1-1024 characters
Contact email address - name string Required 1-1024 characters
Full name.
- avatar string Required <= 200 characters
Errors
400 Bad Request
- error object [ErrorDetail] Required
Pertinent information about the error- code string Required
The error code. - detail string Required
The error message. - extraDetail map from strings to any Optional
Extra information regarding this error. - ref string Required
A reference to the request that caused the error. - status integer Required
The HTTP status code
- code string Required